# JSONフォーマット

## データ形式

```
{
  "filename": STRING,
  "id": STRING,
  "status": STRING,
  "width": INTEGER,
  "height": INTEGER,
  "labels": [
    {
      "name": STRING,
      "type": STRING,
      "color": STRING,
      "annotations": [RLE] or [vectors]
    },
    ...
  ]
}
```

* **filename**: 画像のファイル名。pathnameが含まれます。
* **id**: AnnoStation内のアノテーションデータのID。
* **status**: 画像のステータス。とりうる値： `new`, `in_progress`, `waiting_for_review`, `waiting_for_collaborator_review`, `waiting_for_owner_review`, `waiting_for_change`, `done` ,`skipped`
  * 以下の値は次の条件によって使い分けてください： `waiting_for_review`, `waiting_for_collaborator_review` , `waiting_for_owner_review`:
    * プロジェクトを別のOrganizationと共有していない場合は、以下を使用してください： `waiting_for_review`
    * プロジェクトを別のOrganizationと共有していて、共有先のOrganizationにレビューして欲しい場合は、以下を使用してください： `waiting_for_collaborator_review`
    * プロジェクトを別のOrganizationと共有していて、共有元のOrganizationにレビューして欲しい場合は、以下を使用してください：

      `waiting_for_owner_review`
* **width**: 画像の幅。
* **height**: 画像の高さ。
* **labels**: オブジェクトの配列。各オブジェクトはAnnoStationのラベルをあらわします。
  * **name**: ラベルの名前。
  * **type**: ラベルのタイプ。とりうる値： `segmentation` または `vector`
  * **color**: ラベルの色。
  * [**annotations**](/jpn/resources/json/json-annotation.md): `type`によって、`segmentation` の場合は

    RLE (run-length encoding)オブジェクト、`vector`の場合はベクターオブジェクトの配列。&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.annostation.orni.co.jp/jpn/resources/json.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
